> ## Documentation Index
> Fetch the complete documentation index at: https://platform.perso.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List TTS Types

> List available TTS types.



## OpenAPI

````yaml /specs/openapi-interactive.json get /api/v1/settings/tts_type/
openapi: 3.0.3
info:
  title: Perso Interactive API
  version: 0.0.0
servers:
  - url: https://platform.perso.ai
security: []
tags:
  - name: Embed
paths:
  /api/v1/settings/tts_type/:
    get:
      tags:
        - Session Resources
      summary: List TTS Types
      description: List available TTS types.
      operationId: v1_settings_tts_type_list
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TTSType'
          description: ''
        '401':
          description: Unauthorized - Invalid or missing authentication credentials.
        '403':
          description: Forbidden - You do not have permission to perform this action.
        '500':
          description: Internal Server Error - An unexpected error occurred.
      security:
        - PersoPlatform-APIKey: []
        - {}
components:
  schemas:
    TTSType:
      type: object
      properties:
        name:
          type: string
          maxLength: 100
          pattern: ^[-a-zA-Z0-9_]+$
        streamable:
          type: boolean
        service:
          $ref: '#/components/schemas/TTSProviderEnum'
        model:
          type: string
          nullable: true
          description: applies to openai, elevenlabs
          maxLength: 100
        voice:
          type: string
          nullable: true
          description: applies to openai, elevenlabs, azure, onpremise
          maxLength: 100
        voice_settings:
          nullable: true
          description: applies to openai, elevenlabs, azure, onpremise
        style:
          type: string
          nullable: true
          description: applies to azure
          maxLength: 100
        voice_extra_data:
          nullable: true
          description: applies to azure
      required:
        - name
        - service
    TTSProviderEnum:
      enum:
        - openai
        - elevenlabs
        - azure
        - onpremise
        - perso_speech
        - fish
        - inworld
      type: string
      description: |-
        * `openai` - openai
        * `elevenlabs` - elevenlabs
        * `azure` - azure
        * `onpremise` - onpremise
        * `perso_speech` - perso speech
        * `fish` - fish
        * `inworld` - inworld
  securitySchemes:
    PersoPlatform-APIKey:
      type: apiKey
      in: header
      name: PersoPlatform-APIKey

````